The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

I need this installed

Discussion in 'General Discussion' started by Tapan, Jun 22, 2005.

  1. Tapan

    Tapan Well-Known Member

    Joined:
    Dec 4, 2004
    Messages:
    109
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Chandigarh
    Hi,

    One of my clients want to have GD library (2.0.15 +) installed on the server so he can do image manipulations.

    How do i get this and how do i install it ? I am having full control over server and i have CPanel and WHM also.

    If there is a single click installation available for this in WHM then please let me know and i will do it.

    Thanks.
     
  2. webignition

    webignition Well-Known Member

    Joined:
    Jan 22, 2005
    Messages:
    1,880
    Likes Received:
    0
    Trophy Points:
    36
    You can enable GD so that it is available through PHP by selecting:

    WHM > Software > Update Apache

    and then click Load previous config and check the option GD (Version 2.0.15)
     
  3. Tapan

    Tapan Well-Known Member

    Joined:
    Dec 4, 2004
    Messages:
    109
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Chandigarh
    Hi,

    I did what you said and when it was buildign all that it gave this error in middle is that okay ?

    Hunk #1 FAILED at 545.
    Hunk #2 FAILED at 885.
    2 out of 2 hunks FAILED -- saving rejects to file ext/curl/curl.c.rej


    Thanks.
     
  4. Tapan

    Tapan Well-Known Member

    Joined:
    Dec 4, 2004
    Messages:
    109
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Chandigarh
    Hi,

    I did that what you said and now PHP file are not workign and getting downloaded and also i got all these errors please helpo.......


    Apache Build/Upgrade
    Building Apache Config.....Done
    Downloading and compiling apache+modules....


    Verifying installation....open3: exec of yum -y install wget failed at /scripts/safeyum line 13
    open3: exec of yum -C -y install libxpm4 libxpm4-devel libxpm4-dev ncurses ncurses-devel ncurses-dev libncurses5 libncurses5-devel libncurses5-dev gettext gdbm gdbm-devel libgdbm2-devel libgdbm2-dev db4 db4-devel db4-dev db1 db1-devel db1-dev db1-tools patch kernel-headers linux-headers glibc-kernheaders pam-devel pam-dev krb5-devel krb5-dev openssl openssl-devel ssl-dev libssl-dev openssl-dev libopenssl0 libopenssl0-devel libopenssl0-dev flex bison glibc-devel glibc-dev gcc gcc-c++ cpp libstdc++ libstdc++-devel libstdc++-dev jpeg libjpeg libjpeg-devel libjpeg-dev libjpeg62 libjpeg62-devel libjpeg62-dev png libpng libpng-devel libpng-dev libpng10 libpng10-devel libpng3 libpng3-devel libpng3-dev libtiff libtiff-devel libtiff-dev libtiff3 libtiff3-devel libtiff3-dev XFree86-libs XFree86-devel XFree86-dev libopenssl0.9.7-devel libopenssl0.9.7-static-devel libltdl xorg-x11-devel pspell pspell-devel zlib zlib-devel tdl aspell aspell-devel xorg-x11-devel libc-client-devel libtool automake libungif-devel failed at /scripts/safeyum line 13
    Done
    Done

    Applying CURL curl_formfree patch
    patching file ext/curl/curl.c
    Hunk #1 FAILED at 545.
    Hunk #2 FAILED at 885.
    2 out of 2 hunks FAILED -- saving rejects to file ext/curl/curl.c.rej

    make -j 2 php-4.3.3....... . . . . . . . . . . . . . . . . . . . Done
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:604: error: invalid application of `sizeof' to an incomplete type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c: In function `zif_curl_setopt':
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:884: warning: passing arg 1 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:884: warning: passing arg 2 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:892: warning: passing arg 1 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:892: warning: passing arg 2 of `curl_formadd' from incompatible pointer type
    make: *** [ext/curl/curl.lo] Error 1
    make: *** Waiting for unfinished jobs....

    make php-4.3.3...(install).... Done
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:604: error: invalid application of `sizeof' to an incomplete type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c: In function `zif_curl_setopt':
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:884: warning: passing arg 1 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:884: warning: passing arg 2 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:892: warning: passing arg 1 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:892: warning: passing arg 2 of `curl_formadd' from incompatible pointer type
    make: *** [ext/curl/curl.lo] Error 1
    /etc/rc.d/init.d/httpd start: httpd started

    make -j 2 php-4.3.3....... . . . . . . Done
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:604: error: invalid application of `sizeof' to an incomplete type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c: In function `zif_curl_setopt':
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:884: warning: passing arg 1 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:884: warning: passing arg 2 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:892: warning: passing arg 1 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:892: warning: passing arg 2 of `curl_formadd' from incompatible pointer type
    make: *** [ext/curl/curl.lo] Error 1
    make: *** Waiting for unfinished jobs....

    make php-4.3.3...(install).... Done
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:604: error: invalid application of `sizeof' to an incomplete type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c: In function `zif_curl_setopt':
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:884: warning: passing arg 1 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:884: warning: passing arg 2 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:892: warning: passing arg 1 of `curl_formadd' from incompatible pointer type
    /home/cpapachebuild/buildapache/php-4.3.3/ext/curl/curl.c:892: warning: passing arg 2 of `curl_formadd' from incompatible pointer type
    make: *** [ext/curl/curl.lo] Error 1
    initfpsuexec: using apache 1.x support
    PHP version file is up to date
    Executing /scripts/postbuildapache (if exists)...Done
    /etc/rc.d/init.d/httpd start: httpd started
    Attempting to restart httpd
    Waiting for httpd to restart....
    .
    .
    .
    .
    .
    .
    .
    .
    .
    .
    finished.


    Thanks
     
  5. WinterRG

    WinterRG Member

    Joined:
    Oct 21, 2004
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    If the PHP extension files are attempting to download rather then execute you will most likely need to re-run this process to recompile PHP.

    Be sure that any options that you select in the config section are compatible and not clashing, thus corrupting you comilation, if cURL continues to be an issue and is not going to be used with PHP, then unselect and recomile again without it.
     
Loading...

Share This Page